import request from "@/utils/request.js";



/**
 * 广告轮播图
 * 
 */
export function adList(data) {
  return request.get('mini/ad/list', data, {noAuth:true});
}
/**
 * 广告轮播图
 * 
 */
export function getAgentList(data) {
  return request.get('mini/agent/list', data, {noAuth:true});
}
/**
 * 热搜
 * 
 */
export function getAdSearch(id='') {
  return request.get(`mini/ad/search/${id}`, {}, {noAuth:true});
}
/**
 * 获取客服电话
 * 
 */
export function getAdServicePhone() {
  return request.get(`mini/ad/servicePhone`, {}, {noAuth:true});
}
/**
 * 广告详情
 * 
 */
export function getAdDetails({dictCode}) {
  return request.get(`mini/ad/details/${dictCode}`, {}, {noAuth:true});
}


// 查询地址簿管理列表
export function listBook(query) {
  return request.get('system/front/book/list',query)
}

// 查询地址簿管理详细
export function getBook(addressId) {
  return request.get('system/front/book/' + addressId)
}

// 新增地址簿管理
export function addBook(data) {
  return request.post('system/front/book',data)
}

// 修改地址簿管理
export function updateBook(data) {
  return request.put('system/front/book',data)
}

// 删除地址簿管理
export function delBook(addressId) {
  return request.delete('system/front/book/' + addressId)
}
export function getDefaultAddress() {
  return request.get('system/book/getDefaultAddress')
}


